Skip to navigation

Get ProteinVersion by ID

Beta
Get a single ProteinVersion by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

protein_version_idstringRequired
ID of the ProteinVersion.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
chainslist of objectsOptional
The chains and associated amino acid sequences on the protein.
createdAtstringOptional
DateTime this version was created.
creatorobjectOptional
domainslist of objectsOptional
The domains and associated amino acid sequences on the protein.
formatobjectOptional

The protein format that defines the structure (domains, chains, interactions) for the protein.

idstringOptional
ID of the protein version.
namestringOptional
Name of the protein version.
outOfSyncbooleanOptional
Indicates if constituent domain or chain entities have changed since the protein was last updated.
outOfSyncReasonstring or nullOptional
Any additional information about why the protein is out of sync.
parentobject or nullOptional
The parent version of the protein.
proteinobjectOptional
The protein that owns this version.

Errors

400
Protein Version Get Request Bad Request Error
403
Protein Version Get Request Forbidden Error
404
Protein Version Get Request Not Found Error
429
Protein Version Get Request Too Many Requests Error
500
Protein Version Get Request Internal Server Error